#include <stdio.h>
#include <stdlib.h>
#include <setjmp.h>

#include "manalink.h"

// https://en.wikipedia.org/wiki/Setjmp.h
// https://man7.org/linux/man-pages/man3/setjmp.3.html
static jmp_buf buf;

// Nummer of cards stored as global variable for convenience and to mimic actual function calls
int cards[2];
int maniacInPlay;

int main(int argc, char** argv) {

	int toDraw, card;
	
	printf("Number of cards HUMAN: ");
	scanf("%d", &cards[0]);
	printf("Number of cards AI: ");
	scanf("%d", &cards[1]);
	
	printf("Number of cards to draw: ");
	scanf("%d", &toDraw);
	maniacInPlay = -1;
	while( (maniacInPlay < 0) || (maniacInPlay > 3)) {
		printf("Laboratory Manics in play (0=no, 1=HUMAN, 2=AI, 3=both): ");
		scanf("%d", &maniacInPlay);
	}

//	both_players_draw_naive(3);
	both_players_draw_better(toDraw);

	// If we end up here the game didn't exit, i.e. nobody ran out of cards	
	printf("Both players drew and nothing bad happend.\n");
	
	return 0;
}

