// Simulated exe functions
#include "manalink.h"

#include <stdio.h>
#include <stdlib.h>

extern int maniacInPlay;
extern int cards[];

void real_lose_the_game(player_t player){
	if ( (player == HUMAN) || (player == AI)) {
		printf("Player ");
		if (player == HUMAN)
			printf("HUMAN");
		else
			printf("AI");
		printf(" lost the game.\n");
	} else {
		printf("The game is a draw.\n");
	}

	exit(0);	
}

int draw_cards(player_t player, int amount) {
	int i;
	
	for (i=1; i <= amount; i++) {
		// inform Laboratory Maniac that we are about to draw a card
		if ((maniacInPlay-1 == (int)player) || (maniacInPlay == 3)) {
			laboratoryManiac(player);
		}
		if (cards[player] == 0 )
			lose_the_game(player);
		
		cards[player]--;
	}
	
	return 0;
}

